curl --request POST \
--url https://api.edges.run/v1/actions/salesnavigator-extract-messages/run/live \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"input": {
"sales_navigator_thread_url": "<string>",
"custom_data": {}
},
"parameters": {},
"identity_ids": [
"44444444-4444-4444-4444-444444444444"
]
}
'const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
input: {sales_navigator_thread_url: '<string>', custom_data: {}},
parameters: {},
identity_ids: ['44444444-4444-4444-4444-444444444444']
})
};
fetch('https://api.edges.run/v1/actions/salesnavigator-extract-messages/run/live', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.edges.run/v1/actions/salesnavigator-extract-messages/run/live"
payload = {
"input": {
"sales_navigator_thread_url": "<string>",
"custom_data": {}
},
"parameters": {},
"identity_ids": ["44444444-4444-4444-4444-444444444444"]
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)Extract Sales Navigator Messages
Extract messages from a Sales Navigator thread URL, including message metadata, sender identity, attachments, and message type.
curl --request POST \
--url https://api.edges.run/v1/actions/salesnavigator-extract-messages/run/live \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"input": {
"sales_navigator_thread_url": "<string>",
"custom_data": {}
},
"parameters": {},
"identity_ids": [
"44444444-4444-4444-4444-444444444444"
]
}
'const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
input: {sales_navigator_thread_url: '<string>', custom_data: {}},
parameters: {},
identity_ids: ['44444444-4444-4444-4444-444444444444']
})
};
fetch('https://api.edges.run/v1/actions/salesnavigator-extract-messages/run/live', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.edges.run/v1/actions/salesnavigator-extract-messages/run/live"
payload = {
"input": {
"sales_navigator_thread_url": "<string>",
"custom_data": {}
},
"parameters": {},
"identity_ids": ["44444444-4444-4444-4444-444444444444"]
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)1 credit per 20 results · credit_ratio 0.05 · Credit costs
No per-action quota · How limits work
Free with Engagement Mode
Authorizations
Query Parameters
Cursor value obtained from the X-Pagination-Next response header of a previous request, used to continue pagination. Cursors expire after 24 hours. If a cursor has expired or is invalid, pagination must be restarted from the beginning.
Maximum number of results per page (read-only; defined by the endpoint, actual count may be lower in some cases like throttling or internal limits).
20 <= x <= 20Body
Show child attributes
Show child attributes
An array of Identity UUIDs linked to identities (e.g. LinkedIn) used to execute the Action. You must provide at least one valid UID with access to the integration. Do not use account_uid values — only user_uid is supported.
["44444444-4444-4444-4444-444444444444"]
Response
Successful response
INMAIL, MESSAGE, INMAIL_ACCEPT, INMAIL_REPLY, INMAIL_DECLINE, INVITATION, SYSTEM_MESSAGE Show child attributes
Show child attributes

